;lcd_ej_1.asm Programa de ejemplo que envia la palabra HOLA a la pantalla LCD
;www.pictronic.com --- info@pictronic.com

	list	p=16F84		;modelo de PIC
	include	"P16F84.inc"	;libreria de definiciones para el 16F84
	__config	_CP_OFF & _PWRTE_ON & _WDT_OFF & _XT_OSC ;palabra de configuración

;declaramos las tres variables que utilizan las subrutinas de "lcd_db4.inc"

CONT0		equ	0x0C	
CONT1		equ	0x0D
LCD_TEMP	equ	0x0E

	org	0x00
	goto	INICIO
	org	0x05

	include	"lcd_db4.inc"	;incluye las subrutinas de control LCD

INICIO	call		LCD_UP
	call		LCD_INI
	movlw		0x85		;sexta posición, primera línea
	call		LCD_REG		;se envia como comando de control
	movlw		'H'		
	call		LCD_DATO	;se envia carácter H
	movlw		'O'
	call		LCD_DATO	;se envia carácter O
	movlw		'L'
	call		LCD_DATO	;se envia carácter L
	movlw		'A'
	call		LCD_DATO	;se envia carácter A
BUCLE	goto		BUCLE		;bucle infinito

	end					
